<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Session Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structSession.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structSession-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Session Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold our session data.  
 <a href="structSession.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Task_8h_source.html">Task.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9ee907cb1d8920e7525812db15af3e62"><td class="memItemLeft" align="right" valign="top"><a id="a9ee907cb1d8920e7525812db15af3e62"></a>
<a class="el" href="classIIPImage.html">IIPImage</a> **&#160;</td><td class="memItemRight" valign="bottom"><b>image</b></td></tr>
<tr class="separator:a9ee907cb1d8920e7525812db15af3e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd39c37fd8578a3651da988c5f3bff9"><td class="memItemLeft" align="right" valign="top"><a id="a4fd39c37fd8578a3651da988c5f3bff9"></a>
<a class="el" href="classJPEGCompressor.html">JPEGCompressor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>jpeg</b></td></tr>
<tr class="separator:a4fd39c37fd8578a3651da988c5f3bff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c71a4784d38102696c648a39f700356"><td class="memItemLeft" align="right" valign="top"><a id="a8c71a4784d38102696c648a39f700356"></a>
<a class="el" href="classView.html">View</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>view</b></td></tr>
<tr class="separator:a8c71a4784d38102696c648a39f700356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348c743b4579a7f53a1a0afe0c3ec994"><td class="memItemLeft" align="right" valign="top"><a id="a348c743b4579a7f53a1a0afe0c3ec994"></a>
<a class="el" href="classIIPResponse.html">IIPResponse</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>response</b></td></tr>
<tr class="separator:a348c743b4579a7f53a1a0afe0c3ec994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e34996b4e2676dd681c070e506a0802"><td class="memItemLeft" align="right" valign="top"><a id="a4e34996b4e2676dd681c070e506a0802"></a>
<a class="el" href="classWatermark.html">Watermark</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>watermark</b></td></tr>
<tr class="separator:a4e34996b4e2676dd681c070e506a0802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a266af2befd208503e83b242463b375c0"><td class="memItemLeft" align="right" valign="top"><a id="a266af2befd208503e83b242463b375c0"></a>
<a class="el" href="structTransform.html">Transform</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>processor</b></td></tr>
<tr class="separator:a266af2befd208503e83b242463b375c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89dd559fe87021ab609d422d018c4832"><td class="memItemLeft" align="right" valign="top"><a id="a89dd559fe87021ab609d422d018c4832"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>loglevel</b></td></tr>
<tr class="separator:a89dd559fe87021ab609d422d018c4832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1671c1ceedebdbbf1511b602872ceb78"><td class="memItemLeft" align="right" valign="top"><a id="a1671c1ceedebdbbf1511b602872ceb78"></a>
<a class="el" href="classLogger.html">Logger</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>logfile</b></td></tr>
<tr class="separator:a1671c1ceedebdbbf1511b602872ceb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c2a0779f1a83727da62b8bf4a3ac9dd"><td class="memItemLeft" align="right" valign="top"><a id="a5c2a0779f1a83727da62b8bf4a3ac9dd"></a>
std::map&lt; const std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>headers</b></td></tr>
<tr class="separator:a5c2a0779f1a83727da62b8bf4a3ac9dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad89bc324ac0b0d50bd13151d17b70d1d"><td class="memItemLeft" align="right" valign="top"><a id="ad89bc324ac0b0d50bd13151d17b70d1d"></a>
std::map&lt; const std::string, unsigned int &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>codecOptions</b></td></tr>
<tr class="separator:ad89bc324ac0b0d50bd13151d17b70d1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ee46cc45d4ecc0bd18cd1ebae4cb7d"><td class="memItemLeft" align="right" valign="top"><a id="af8ee46cc45d4ecc0bd18cd1ebae4cb7d"></a>
imageCacheMapType *&#160;</td><td class="memItemRight" valign="bottom"><b>imageCache</b></td></tr>
<tr class="separator:af8ee46cc45d4ecc0bd18cd1ebae4cb7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a4b94994484d8a79d12e65bce04a952"><td class="memItemLeft" align="right" valign="top"><a id="a7a4b94994484d8a79d12e65bce04a952"></a>
<a class="el" href="classCache.html">Cache</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>tileCache</b></td></tr>
<tr class="separator:a7a4b94994484d8a79d12e65bce04a952"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87f2af4f8ea4f710d1da753d0d5394cb"><td class="memItemLeft" align="right" valign="top"><a id="a87f2af4f8ea4f710d1da753d0d5394cb"></a>
<a class="el" href="classFCGIWriter.html">FCGIWriter</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>out</b></td></tr>
<tr class="separator:a87f2af4f8ea4f710d1da753d0d5394cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold our session data. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="Task_8h_source.html">Task.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structSession.html">Session</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
